Bug 1201497 - [PATCH] fix a configure-and-quit=yes bug when DHCP client ID is set and hostname is not given
Summary: [PATCH] fix a configure-and-quit=yes bug when DHCP client ID is set and hostn...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Lubomir Rintel
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-12 19:47 UTC by Dan Williams
Modified: 2015-11-19 11:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Host name for DDNS updates is now correctly set in DHCPv6 requests and in configure-and-quit mode.
Clone Of:
Environment:
Last Closed: 2015-11-19 11:01:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2315 normal SHIPPED_LIVE Moderate: NetworkManager security, bug fix, and enhancement update 2015-11-19 10:06:58 UTC

Description Dan Williams 2015-03-12 19:47:22 UTC
If the hostname is localhost.localdomain or some other variant of localhost, and configure-and-quit=yes is set, then due to a copy & paste error NetworkManager sends invalid arguments to nm-iface-helper and the helper will report an error and fail exit.

Workaround is to set a persistent hostname that is not localhost.localdomain.

Fix is upstream as:

commit 1dae47e9cc4c2ec43bcabf9fa8610acc0b6e257b
CommitDate: Thu Mar 12 14:38:01 2015 -0500

    device: fix handling if DHCP hostname for configure-and-quit
    
    Fixes: 5149fd120d24e7622fb264fffaa4bed04eb579d6

Comment 2 Lubomir Rintel 2015-06-09 17:23:30 UTC
In nm-1-0 already: a8833a4dbdafc7b4a5f3ce6021b9f203db2aefe7

Comment 4 errata-xmlrpc 2015-11-19 11:01:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2315.html


Note You need to log in before you can comment on or make changes to this bug.